## org.gjt.sp.jedit.gui
Class KeyEventWorkaround

    java.lang.Object
      org.gjt.sp.jedit.gui.KeyEventWorkaround

public class KeyEventWorkaround
extends java.lang.Object

Various hacks to get keyboard event handling to behave in a consistent manner across Java implementations.

Version:
  $Id: KeyEventWorkaround.java,v 1.38 2004/04/22 19:09:24 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`KeyEventWorkaround()`

Method Summary
`static void` `numericKeypadKey()` A workaround for non-working NumLock status in some Java versions.
`static java.awt.event.KeyEvent` `processKeyEvent(java.awt.event.KeyEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyEventWorkaround

    public KeyEventWorkaround()

Method Detail

### processKeyEvent

    public static java.awt.event.KeyEvent processKeyEvent(java.awt.event.KeyEvent evt)

### numericKeypadKey

    public static void numericKeypadKey()

  A workaround for non-working NumLock status in some Java versions.

  Since:
    jEdit 4.0pre8